QListBoxPixmap(3qt)

NAME
QListBoxPixmap - List box items with a pixmap and optional text

SYNOPSIS
#include <qlistbox.h>

Inherits QListBoxItem.

  Public Members
QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap )
QListBoxPixmap ( const QPixmap & pixmap )
QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap, QListBoxItem * after )
QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text )
QListBoxPixmap ( const QPixmap & pix, const QString & text )
QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text, QListBoxItem * after )
~QListBoxPixmap ()
virtual const QPixmap * pixmap () const
virtual int height ( const QListBox * lb ) const
virtual int width ( const QListBox * lb ) const

  Protected Members
virtual void paint ( QPainter * painter )

DESCRIPTION
The QListBoxPixmap class provides list box items with a pixmap and optional text.

Items of this class are drawn with the pixmap on the left with the optional text to the right of the pixmap.

See also QListBox, QListBoxItem, and Advanced Widgets.

MEMBER FUNCTION DOCUMENTATION

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap )
Constructs a new list box item in list box listbox showing the pixmap pixmap.

QListBoxPixmap::QListBoxPixmap ( const QPixmap & pixmap )
Constructs a new list box item showing the pixmap pixmap.

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap, QListBoxItem * after )
Constructs a new list box item in list box listbox showing the pixmap pixmap. The item gets inserted after the item after, or at the beginning if after is 0.

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text )
Constructs a new list box item in list box listbox showing the pixmap pix and the text text.

QListBoxPixmap::QListBoxPixmap ( const QPixmap & pix, const QString & text )
Constructs a new list box item showing the pixmap pix and the text to text.

QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text, QListBoxItem * after )
Constructs a new list box item in list box listbox showing the pixmap pix and the string text. The item gets inserted after the item after, or at the beginning if after is 0.

QListBoxPixmap::~QListBoxPixmap ()
Destroys the item.

int QListBoxPixmap::height ( const QListBox * lb ) const [virtual]
Returns the height of the pixmap in list box lb.

See also paint() and width().

Reimplemented from QListBoxItem.

void QListBoxPixmap::paint ( QPainter * painter ) [virtual protected]
Draws the pixmap using painter.

Reimplemented from QListBoxItem.

const QPixmap * QListBoxPixmap::pixmap () const [virtual]
Returns the pixmap associated with the item.

Reimplemented from QListBoxItem.

int QListBoxPixmap::width ( const QListBox * lb ) const [virtual]
Returns the width of the pixmap plus some margin in list box lb.

See also paint() and height().

Reimplemented from QListBoxItem.

SEE ALSO
http://doc.trolltech.com/qlistboxpixmap.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qlistboxpixmap.3qt) and the Qt version (3.3.8).